package p08_tablice;

import java.math.BigDecimal;
import java.util.Arrays;

public class B_Tworzenie {
	
	public static void main(String[] args) {
		// Gdy tworzymy tablicę podając jej rozmiar,
		// to jest ona automatycznie wypełniania wartościami:
		// - 0 dla prostych typów liczbowych (int, long, double)
		int[] liczby = new int[10];
		System.out.println(Arrays.toString(liczby));
		
		// łatwo wypełnić tablicę jednakowymi elementami
		Arrays.fill(liczby, 13);
		System.out.println(Arrays.toString(liczby));
		
		// - false dla typu boolean
		
		// - null dla wszystkich typów obiektowych, w tym String, Integer, BigDecimal, List ...
		String[] napisy = new String[5];
		BigDecimal[] ceny = new BigDecimal[3];
		
		System.out.println(napisy);
		System.out.println(ceny);
		System.out.println();

		double x = 55.55;
		// Można też od razu podać listę wartości w nawiasach klamrowych (podczas deklaracji zmiennej tablicowej)
		// Kompilator Javy sam policzy jaki ma być rozmiar tablicy
		double[] d = {1.0, 3.14, Math.sqrt(2), liczby[2], x};
		System.out.println("Tablica d ma rozmiar " + d.length);
		System.out.println(Arrays.toString(d));
	}

}
